<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 5.48 Giải phương trình bật 2</title>
</head>
<body onload = "onPageLoading()">
    <h1>Giải phương trình bật hai</h1>
    <p id="p-NoiDung" style = "display: none;">Phương trình bật 2 có 3 tham số a, b và c</p>
    <tabel>Số a</tabel>
    <input id = "ipt-a" placeholder = "Nhập số a">
    <br> <br>
    <tabel>Số b</tabel>
    <input id = "ipt-b" placeholder = "Nhập số b">
    <br> <br>
    <tabel>Số c</tabel>
    <input id = "ipt-c" placeholder = "Nhập số c">
    <br> <br>
    <button onclick="onClickTimNghiem()">Tìm nghiệm</button>
</body>
<script>
    function onPageLoading(){
        var vNhapSoA = document.getElementById("ipt-a");
        var vNhapSoB = document.getElementById("ipt-b");
        var vNhapSoC = document.getElementById("ipt-c");
        var pNoiDung = document.getElementById("p-NoiDung");
        
        console.log(vNhapSoA.id);
        console.log(vNhapSoA.placeholder);

        console.log(vNhapSoB.id);
        console.log(vNhapSoB.placeholder);

        console.log(vNhapSoC.id);
        console.log(vNhapSoC.placeholder);

        console.log(pNoiDung.id);
        console.log(pNoiDung.innerHTML);
    }

    function onClickTimNghiem(){
        console.log("Tìm nghiệm của phương trình bậc 2");

        var vNhapSoA = document.getElementById("ipt-a");
        var giaTriA = vNhapSoA.value;
        console.log(giaTriA);

        var vNhapSoB = document.getElementById("ipt-b");
        var giaTriB = vNhapSoB.value;
        console.log(giaTriB);

        var vNhapSoC = document.getElementById("ipt-c");
        var giaTriC = vNhapSoC.value;
        console.log(giaTriC);

        var delta = giaTriB * giaTriB - 4 * giaTriA * giaTriC;

        var pNoiDung = document.getElementById("p-NoiDung");
        
        if(delta > 0){
        var x1 = (-giaTriB + Math.sqrt(delta)) / (2 * giaTriA);
        var x2 = (-giaTriB - Math.sqrt(delta)) / (2 * giaTriA);
        pNoiDung.style.display = "block";
        pNoiDung.style.color = "green";
        pNoiDung.innerHTML = "Phương trình có 2 nghiệm phân biệt: x1 = " + x1 + ", x2 = " + x2;
        }
        else if(delta == 0){
        var x = -giaTriB / (2 * giaTriA);
        pNoiDung.style.display = "block";
        pNoiDung.style.color = "blue";
        pNoiDung.innerHTML = "Phương trình có nghiệm kép: x = " + x;
        }
        else{
        pNoiDung.style.display = "block";
        pNoiDung.style.color = "red";
        pNoiDung.innerHTML = "Phương trình vô nghiệm";
        }
    }
</script>
</html>